cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rolf Kulemann <m...@rolf-kulemann.com>
Subject Re: [VOTE] Replace xalan-2.5.0 by 2.6.0
Date Wed, 07 Apr 2004 15:20:26 GMT
On Wed, 2004-04-07 at 16:19, Rolf Kulemann wrote:
> On Wed, 2004-04-07 at 13:56, Michael Wechner wrote:
> > Rolf Kulemann wrote:
> > 
> > >I think it is a good idea to switch to xalan-2.6.0 since some more bugs
> > >are fixed in 2.6.0. To get xalan-2.6.0 work in jetty, we can not place
> > >the xalan-2.6.0 in endorsed dir due to class loading issues.
> > >
> > >We need to place in in direct in WEB-INF/lib.
> > >  
> > >
> > 
> > what about Tomcat? (please apologize if this might be a stupid question)
> 
> No stupid questions.
> 
> First I thought tomcat likes the libs as it is BUT I had a closer look
> at found another xalan-2.5.0 in range. I removed it and "tatata" blank
> pages everywhere. Moving the xalan to wherever did not work.
> 
> The tomcat logifles show ClassNotFE concerning BCEL etc. moving all libs
> to endorsed helps on tomcat, but all this is not very satisfactory.
> 
> So, FREEZE THIS VOTE, until we have figured out what the hell goes on
> there. Cocoon works fine with the same combination of jars I tried.
> The problem MUST be somewhere in Lenya.

Ok, I figured out the following working configurations if we want to use
xalan-2.6.0:

1.) Lenya + xalan-2.6.0 + Tomcat 4.1.x and Tomcat 5.x
The endorsed dir MUST contain the following libs:
- xalan-2.6.0
- xerces
- xmlapis

2.) Lenya + xalan-2.6.0 and Jetty
- endorsed MUST not contain the xalan-2.6.0.jar, so it should be empty
and all libs are placed in lenya/WEB-INF/lib.


Comment to 1.) :

It was not possible to place all libs in lenya/WEB-INF/lib, because on
Lenya login screen I got the following Tomcat log entry:

java.lang.NoClassDefFoundError:
org/apache/bcel/generic/InstructionConstants
	at org.apache.xalan.xsltc.compiler.XSLTC.<init>(XSLTC.java:129)
	at
org.apache.xalan.xsltc.trax.TemplatesHandlerImpl.<init>(TemplatesHandlerImpl.java:93)
	at
org.apache.xalan.xsltc.trax.TransformerFactoryImpl.newTemplatesHandler(TransformerFactoryImpl.java:789)
	at
org.apache.excalibur.xml.xslt.XSLTProcessorImpl.getTransformerHandlerAndValidity(XSLTProcessorImpl.java:249)

This error also occures if the xalan,xerces and xmlapis are placed in
endorsed.

I now moved jakarta-bcel.jar to endorsed and I got this one:



-- 

Regards,

Rolf Kulemann


"I drink to make other people interesting."
		-- George Jean Nathan


PGP/GPG public key:
	 http://pgp.mit.edu:11371/pks/lookup?op=get&search=0x6B4EA7EA


Mime
View raw message